<?php 
/**
 * @package  Feedo
 */
namespace Inc\Base;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * adds setting links to plugin list page
 */
class SettingsLinks{
	
	public function register(){
		add_filter( 'plugin_action_links_'.FEEDO_PLUGIN, array( $this, 'feedo_add_settings_link' ) );
	}
	public function feedo_add_settings_link( $links ){
		$settings_link = '<a href="'.FEEDO_SETTINGURL.'">Settings</a>';
		array_push( $links, $settings_link );
		return $links;
	}
}