<?php  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/*
 main page or landing page
 https://feedo.sharedemos.com/t/wordpress/ : Help Link for FEEDO plugin
 */
 
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');
	
?><div><iframe id="frame" src="" width="100%" height="100%" frameBorder="0" style="position: fixed;top: 0;left: 0;right: 0; bottom: 0; z-index: 999999;height:1px"></iframe></div><div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>
<link href="<?php echo FEEDO_PLUGIN_URL;?>assets/daterangepicker.min.css" rel="stylesheet" />
<script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.16.0/moment.min.js" type="text/javascript"></script>
<script src="<?php echo FEEDO_PLUGIN_URL;?>assets/jquery.daterangepicker.min.js"></script>
<div class="feedowrapper">
<?php
// get product list and counts
$feed = \Inc\Common::getServerData('api/get_feed_data',array('shopid' => $shopid));
$feedid = $feed->feedid;
$allcount = $feed->allcount;
if(empty($allcount)) $allcount=0;
$optcount = $feed->optcount;
$gmc_category = \Inc\Common::getServerData('api/get_google_categories'); // get GMC categories

?><script>var totalproducts = <?php echo $allcount;?>;</script>
<?php if($shopinfo->IS_DEMO == 'N'){?>
<link href="<?php echo FEEDO_PLUGIN_URL . 'assets/introjs.min.css';?>" rel="stylesheet" />
<script src="<?php echo FEEDO_PLUGIN_URL.'assets/intro.min.js';?>"></script>
<?php } ?>
<!-- header -->
<div class="sticky-header">
    <a href="admin.php?page=feedo" class="active">All</a>
    <a href="admin.php?page=feedo_optimized">Optimized<?php if($optcount){?><span class="badge"><?php echo $optcount;?></span><?php } ?></a>
    <a href="admin.php?page=feedo_published">Published</a>
</div>

<div class="feedocontent">
<input type="hidden" id="feedid" value="<?php echo $feedid;?>">
<input type="hidden" id="shopid" value="<?php echo $shopid;?>">
<input type="hidden" id="feedoserver" value="<?php echo FEEDO_SERVER_URL;?>">
<h1 class="pc">All Products (<span><?php echo $allcount;?></span>)</h1>
<p>All active products from your store.</p/>
<p>Edit a single product individually or select multiple for bulk.</p>
 <div class="clear"></div>
 
 <!-- filter form to search products -->
<form id="filter-form" method="post" onsubmit="return false;">
 <section class="search-filter row">
  <div class="column six">
   <input type="search" placeholder="Search" id="search-filter-one" value=''/>
  </div>
  <div class="column six">
   <div class="filter" data-intro="Use our &ldquo;Advanced Filter&rdquo; feature, which will make your search activity easier with it's various filter options. In case you have any queries/questions regarding Feedo, please feel free to reach out to our Support team. Thanks &amp; Happy Selling!" data-step="4">Filter</div>
  </div>
 </section>
 <div class="clear"></div>
 <section class="filters-wrap">
    <div class="fliter-item">
    <label>Gender:</label>
    <select id="gender" name="gender">
     <option value="">select</option>
     <option value="male">male</option>
     <option value="female">female</option>
     <option value="unisex">unisex</option>
    </select>
   </div>   
   <div class="fliter-item">
    <label>Age group:</label>
    <select id="agegroup" name="agegroup" >
     <option value="">select</option>
     <option value="newborn">newborn</option>
     <option value="infant">infant</option>
     <option value="toddler">toddler</option>
     <option value="kids">kids</option>
     <option value="adult">adult</option>
    </select>
   </div>
   <div class="fliter-item">
    <label>Search:</label>
    <input type="search" placeholder="Search" name="search" id="search" value=''/>
   </div>
   <div class="fliter-item submit-wrap">
    <button type='button' class="button submit-filter column seven" id="filter-submit">Filter</button>
   </div>
   <div class="fliter-item">
    <label>Status:</label>
    <select id="status" name="status">
     <option value="">select</option>
     <option value="Updated">Updated</option>
     <option value="Published">Published</option>
     <option value="In Review">In Review</option>
     <option value="ERROR">ERROR</option>
     <option value="New">New</option>
    </select>
   </div>
   <div class="fliter-item">
    <label>Maximum Price:</label>
    <input type="text" placeholder="0" name="max_price_filter" id="max_price_filter" value=''/>
   </div>
   <div class="fliter-item gmc-wrap">
    <label>Google Product Category:</label>
<select id="category_filter" name="category_filter" class="select"><option value="">select</option><option value="NA">Uncategorized</option><?php foreach($gmc_category as $gcat) {?><option value="<?php echo $gcat->GPC_ID; ?>"><?php echo $gcat->GMC_CAT_NAME; ?></option><?php }?></select>
   </div>
   <div class="fliter-item">
    <label>Availability:</label>
    <select id="availability_filter" name="availability_filter">
     <option value="">select</option>
     <option value="in stock">in stock</option>
     <option value="out of stock">out of stock</option>
     <option value="preorder">preorder</option>
    </select>
   </div>
   <div class="fliter-item cancel-wrap">
    <button type='button' class="button lighter submit-filter column seven" id="filter-cancel">Cancel</button>
   </div>
   <div class="fliter-item">
    <label>Condition:</label>
    <select id="condition_filter" name="condition_filter">
     <option value="">select</option>
     <option value="new">new</option>
     <option value="refurbished">refurbished</option>
     <option value="used">used</option>
    </select>
   </div>
   <div class="fliter-item">
    <label>Minimum Price:</label>
    <input type="text" placeholder="0" id="min_price_filter" name="min_price_filter" value=''/>
   </div> 
   <div class="fliter-item" style="justify-content: left;line-height: 2.2rem;padding-left: 10px;">
    <span style="color:red" class="perror"></span>
   </div> 
 </section>
</form>

<!-- list products -->
<div class="products">
  <section class="product-list header">
      <div class="select">
          <input name="select-all" id="select-all" type="checkbox" data-intro="Welcome to Feedo! To Optimize/Publish your feed to GMC, select the product/s either by selecting all checkbox or choose individual product/s manually." data-step="1">
      </div>
      <div class="product-image">Image</div>
      <div class="product-info">Info</div>
      <div class="product-category">Category</div>
      <div class="product-status">Status</div>
  </section>
</div>
<div style="clear:both">&nbsp;</div>
<div class="load">Loading Your Feeds....</div>
<div id="count-message" style="display:none">
 <h3 class="align-center"> You have no products. </h3>
</div>

<div style="clear:both">&nbsp;</div>
<!-- footer -->
<footer class="sticky-footer">
 <div class="progress-wrap">
  <div class="progress"></div>
 </div>
 <section class="row action-footer">
  <div class="column four">
   <h2><b>0</b>&nbsp;Product Selected</h2>
  </div>
  <!-- show pagination details  -->
  <div class="column four align-center">
   <p id="product-count" style="margin:0;padding:0">showing <b></b> out of <span><?php echo $allcount;?></span></p>
  </div>
  <div class="column four align-right">
  <button class="button scroll-up tip" data-hover="Scroll to top"><i class="icon-upload">&nbsp;</i></button>
  <button class="button bulk-edit disabled tip" data-hover="Bulk Edit" data-step="3" data-intro="This is our &ldquo;Bulk Edit&rdquo; feature, which you can use to edit your product's attributes in bulk by using the available product/s checkbox."><i class="icon-bulk-edit">&nbsp;</i></button>
   <button class="button publish disabled tip" data-hover="Send to Publish" data="all" style="display:none">Publish</button>
   <button class="button optimize disabled tip" data-hover="Send to Optimize" data-intro="Post selection of product/s, this &ldquo;Optimize&rdquo; button will get enabled. Click on this and Optimize/Publish your product/s to GMC." data-step="2">Optimize</button>   
  </div>
 </section>
 
 <!-- show optimization action status -->
 <section class="send-to-optimize-wrap">
  <div>
   <button class="return button greybtn" id="return">Return to Feeds</button>
   <h1>What is Optimization?</h1>
   <p>Our automated solution built using machine learning algorithms:<br></p>
			<ul>
			<li><b>1. Optimizes your product "title" with the following pattern:</b><br>&nbsp; &nbsp; &lt;Brand&gt; &lt;Gender&gt; &lt;Title&gt; &lt;Attributes&gt;(Color, Size, Material)</li>
			<li><b>2. Enhances your "product type" attribute values with descriptive keywords or seasonal keywords as it might have a positive impact on traffic and conversions with the following pattern:</b><br>&nbsp; &nbsp; &lt;Product Type1, Product Type2,....&gt; &lt;GPC&gt; &lt;Brand&gt; &lt;Title&gt; <b>OR</b> &lt;GPC&gt; &lt;Brand&gt; &lt;Title&gt; <b>(In case of no value for “product type“ attribute)</b></li>
			</ul>
			<p><br><b>NOTE:-</b> This may take some time depending on the quantity. We’ll notify you via email when your products are ready and you can review the optimized values and publish to Google Merchant Center.</p>
   <div class="row">
    <label style="display: none">Notified Email</label>
    <input style="display: none" type="text" value="vinayhebbar@gmail.com" disabled="disabled" />
    <button class="button greenbtn tip" data-hover="Send to Optimize" id="send-to-optimize">OK</button>
    <button class="button publish disabled greybtn tip" data-hover="Send to Google" data="all">Publish without Optimization</button>
   </div>
  </div>
  <div>
	<h1>Your products are being Optimized</h1>
	<p>This will take some time depending on the amount products.</p>
	<button class="return button greenbtn">Return to Feeds</button>
</div>
 </section>

 <!-- show error details -->
 <section class="send-error-wrap">
 <input id="selectedErrorType" value="" type="hidden" />
  <div class="columns twelve">
   <h1 class="error">Oops! there was a problem.</h1>
   <h1 class="success" style="color:green;display:none;margin:30px 0">Success! Your products are ready to go.</h1>
   <button class="return button greybtn">Return to Feeds</button>
   <button class="button greenbtn" id="sendtooptimize" style="display:none">Send to Optimize</button>
   <button class="button publish greybtn" id="sendtopublish" style="display:none">Send to Publish</button>
  </div>
  <div class="columns twelve">
   <div class="columns six">
    <div class="error-message" style="display:block">
     <div></div>
     <h1 class="error"><b></b> Products Error</h1>
	 <div style="clear:both"></div>
	 <ul style="font-weight:normal"></ul>
	 <div class="column eight" style="float:left">
<p style="font-weight:bold;display:none" class="msg1">Fix this error either by clicking on the individual product or through the "Bulk Edit" option.</p>	 
<p style="font-weight:bold;display:none" class="msg2">Fix this error by clicking on the individual product.</p>
</div>
<div class="column four" style="float:right;padding:1em 0">
<button class="button bulk-edit error">Bulk Edit</button>
    </div>   </div>
	<p class="showCount"></p>
   </div>
   <div class="columns six">
    
   </div>
  </div>
  <div style="clear:both">&nbsp;</div>
  <input type="hidden" name="timesCalled" id="timesCalled" value="0" />
  <div class="post-data" id="error-products" style="padding-bottom:30px">
   <section class="product-list header" style="clear:both">
    <div class="select">
     <input name="select-all" type="checkbox">
    </div>
    <div class="product-image">Image</div>
    <div class="product-info">Info</div>
    <div class="product-category">Category</div>
    <div class="product-status">Status</div>
   </section>
  </div>
   <div style="clear:both">&nbsp;</div>
 </section>

 <!-- show publish status -->
 <section class="send-to-publish-wrap">
  <div>
   <h1>5 products are being published.</h1>
   <p>Your products are being published, this may take some time depending on the quantity. <br>
    We'll notify you via email when your products are ready.<br><br>
    Also, the application will automatically update all price and inventory changes immediately to Google Merchant Center. <a href="<?php echo FEEDO_SETTINGURL;?>&tab=gmc">Change?</a> </p>
   <div class="row">
    <label style="display: none">Notified Email</label>
    <input style="display: none" type="text" value="girikudur@gmail.com" disabled="disabled" />
    <button class="return button greybtn">Return to Feeds</button>
   </div>
  </div>
 </section>

</footer>

<!-- Bulk edit popup -->
<div class="overlay">
 <div class="loading">
  <div>Loading...</div>
 </div>
 <div class="popup-wrap">

  <div class="popup-box bulk-edit-popup">
   <form id="bulk-edit-form">
    <input id="selectedIds" name="selectedIds" type="hidden" value="">
    <input id="unselectedIds" name="unselectedIds" type="hidden" value="">
    <input id="selAll" name="selAll" type="hidden" value="">
    <div class="popup-title">BULK EDIT</div>
    <div class="content-block">
     <div class="bulk-edit-field" id="category">
      <div class="name"> Google Product Category <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="categoryId" name="categoryId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="condition">
      <div class="name"> Condition <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="conditionId" name="conditionId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="age-group">
      <div class="name"> Age Group <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="agegroupId" name="agegroupId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="adult">
      <div class="name"> Adult <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="adultId" name="adultId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="customproduct">
      <div class="name"> As Custom Product <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="customproductId" name="customproductId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="gender-bulk">
      <div class="name"> Gender <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="genderId" name="genderId" type="hidden" value="">
     </div>
	 <div class="bulk-edit-field" id="shipping_label">
<div class="name">Shipping Label<i class="icon-exclamation"></i></div>
<div class="arrow-next"><i class="icon-next"></i></div>
<div class="new-value"></div>
<input id="shipping_labelId" name="shipping_labelId" type="hidden" value="">
</div>
<div class="bulk-edit-field" id="color">
<div class="name">Color<i class="icon-exclamation"></i></div>
<div class="arrow-next"><i class="icon-next"></i></div>
<div class="new-value"></div>
<input id="colorId" name="colorId" type="hidden" value="">
</div>

<div class="bulk-edit-field" id="brand">
<div class="name">Brand<i class="icon-exclamation"></i></div>
<div class="arrow-next"><i class="icon-next"></i></div>
<div class="new-value"></div>
<input id="brandId" name="brandId" type="hidden" value="">
</div>
<div class="bulk-edit-field" id="saledate">
<div class="name"> Sale Price Effective Date<i class="icon-exclamation"></i></div>
<div class="arrow-next"><i class="icon-next"></i></div>
<div class="new-value"></div>
<input id="saledateId" name="saledateId" type="hidden" value="">
</div>
    </div>
    <div class="footer">
     <div class="block">
      <div class="cancel">CANCEL</div>
      <div class="save" data="1">SAVE</div>
     </div>
	 <div class="form-status">SENDING DATA..</div>
     <div class="form-failed">OOPS! SAVING FAILED</div>
     <div class="form-sent">SAVED SUCCESSFULLY!</div>
     <div class="form-sending">APPLYING EDITS...
      <div class="cd-loading"></div>
     </div>
    </div>
   </form>
  </div>
  
  <!-- bulk edit field popup -->  
  <div class="popup-box bulk-edit-field-popup category" name="category">
   <div class="popup-title">
    <div class="arrow-back"> &lt; </div>
    Google Product Category </div>
   <div class="content-block">
    <select name="form" id="category-form" class="select" data="category" style="width:100%">
     <option value="" selected >Select GMC Collection</option><?php	foreach($gmc_category as $gmc_categry) { ?><option value="<?php echo $gmc_categry->GPC_ID; ?>"><?php echo $gmc_categry->GMC_CAT_NAME; ?></option><?php } ?></select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>

  <div class="popup-box bulk-edit-field-popup condition" name="condition">
   <div class="popup-title">
    <div class="arrow-back"> &lt; </div>
    Condition </div>
   <div class="content-block">
    <select name="form" id="condition-form" data="condition">
     <option value="new">new</option>
     <option value="refurbished">refurbished</option>
     <option value="used">used</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup age-group" name="age-group">
   <div class="popup-title">
    <div class="arrow-back"> &lt; </div>
    Age Group </div>
   <div class="content-block">
    <select name="form" id="agegroup-form" data="agegroup">
	 <option value="NA">not applicable</option>
     <option value="newborn">newborn</option>
     <option value="infant">infant</option>
     <option value="toddler">toddler</option>
     <option value="kids">kids</option>
     <option value="adult">adult</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup customproduct" name="customproduct">
   <div class="popup-title">
    <div class="arrow-back"> &lt; </div>
    As Custom Product </div>
   <div class="content-block">
    <select name="form" id="customproduct-form" data="customproduct">
     <option value="yes">Yes</option>
     <option value="no">No</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup adult" name="adult">
   <div class="popup-title">
    <div class="arrow-back"> &lt; </div>
    Adult </div>
   <div class="content-block">
    <select name="form" id="adult-form" data="adult">
     <option value="Yes">Yes</option>
     <option value="No">No</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup gender-bulk" name="gender-bulk">
   <div class="popup-title">
    <div class="arrow-back"> &lt; </div>
    Gender </div>
   <div class="content-block">
    <select name="form" id="gender-form" data="gender">
	<option value="NA">not applicable</option>
     <option value="male">Male</option>
     <option value="female">Female</option>
     <option value="unisex">Unisex</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  
  <div class="popup-box bulk-edit-field-popup saledate" name="saledate">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Sale Price Effective Date</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="saledate-form" data="saledate" placeholder="Sale Price Effective Date" maxlength="100">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SELECT</div>
</div>
</div>
</div>

  <div class="popup-box bulk-edit-field-popup shipping_label" name="shipping_label">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Shipping Label</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="shipping_label-form" data="shipping_label" placeholder="Enter Shipping Label" maxlength="100">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SUBMIT</div>
</div>
</div>
</div>
<div class="popup-box bulk-edit-field-popup color" name="color">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Color</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="color-form" data="color" placeholder="Enter Color" maxlength="40">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SUBMIT</div>
</div>
</div>
</div>
<div class="popup-box bulk-edit-field-popup brand" name="brand">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Brand</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="brand-form" data="brand" placeholder="Enter Brand">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SUBMIT</div>
</div>
</div>
</div>

 </div>
</div>
</div></div>

<script>
var numofcalls = 1;
jQuery(document).ready(function(e){
	<?php if($shopinfo->IS_DEMO == 'N'){?>
	//jQuery('.sticky-header').css('position','relative');
	jQuery('.sticky-footer').css('position','relative');
	jQuery('.sticky-footer section[class^="send"] ').css('display','none');	
	jQuery('html, body').animate({scrollTop : 0},0);
	
	introJs().start().onexit(function() {
		//jQuery('.sticky-header').css('position','fixed');
		jQuery('.sticky-footer').css('position','fixed');
		jQuery('.sticky-footer section[class^="send"] ').css('display','block');	
		jQuery.ajax({
			url: '<?php echo FEEDO_SERVER_URL;?>api/updateDemo',
			type: "POST",
			crossDomain: true,
			data : {"shopid": "<?php echo $shopid;?>"}
		}).done(function(data){
			wscroll();
		}).fail(function(jqXHR, ajaxOptions, thrownError){});
	});
	<?php }else{?>
	wscroll();
	<?php } ?>
	jQuery('#filter-form')[0].reset();
    loadMoreData(numofcalls); //load products
	jQuery('select.select').select2({dropdownPosition: 'below'});
	countProducts();
	
	jQuery('#saledate-form').dateRangePicker({
		separator: '/',
		//startDate: new Date(),
		format:'YYYY-MM-DD',
		//showTopbar: false,
		selectForward: false,
		monthSelect: true,
		yearSelect: true,
		time: {
		enabled: false
		},
	});
	
	
});
function wscroll(){
	

  
	jQuery(window).scroll(function() {
	  if((jQuery(window).scrollTop() + jQuery(window).height() >= jQuery(document).height())  ){
		  if( jQuery(".product-list.product").length < parseInt(jQuery("#product-count span").text()) ){
			  numofcalls = numofcalls + 1;
			  loadMoreData(numofcalls);
			  countProducts();
		  }
	  }
	 if (jQuery(this).scrollTop() >= 51){
		jQuery('.sticky-header').addClass('sticky');
	  }
	  else{
		jQuery('.sticky-header').removeClass('sticky');
	  }
	  var fht = jQuery('#filter-form').height();
	  var ht = fht + 120;
	   if (jQuery(this).scrollTop() >= ht){
		jQuery('.products .product-list.header').addClass('sticky2');
		jQuery('.products .product-list.sticky2').width(jQuery('.products').width());	
	  }else{
		jQuery('.products .product-list.header').removeClass('sticky2');
	  }
  
	});
	jQuery('.sticky-footer').scroll(function() {
		if (jQuery(this).scrollTop() >= 100){
		jQuery('#error-products .product-list.header').addClass('sticky3').width(jQuery('.send-error-wrap').width());	
		}else{
		jQuery('#error-products .product-list.header').removeClass('sticky3');
		}  
	});
	
} 
jQuery('.load').on('click', function(event){
	if( jQuery(".product-list.product").length < parseInt(jQuery("#product-count span").text()) ){
		numofcalls = numofcalls + 1;
		loadMoreData(numofcalls);
	} else {
		alert('There are no more products to load');
		jQuery('.load').hide();
	}
});
</script>