<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * shows user activity
 * when products are optimised, published
 * when product uploaded etc
 */ 
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');

?><div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>
<div class="feedowrapper">	
<div class="sticky-header">
    <a href="#" class="active">Activity</a>
</div>
<div class="feedocontent">
<h2>Notifications</h2>
<p>View your recent notifications.</p>
<?php

$shopid = get_option('feedo_shopid');
$notification = \Inc\Common::getServerData('api/notification',array('shopid' => $shopid));

?>
<section class="activity">
 <?php
	$count = 1 ;
	$lastDate = '';	
	if( $notification ){		
		foreach( $notification as $feed ){
			$newDate = date( "l, F d, Y", strtotime( $feed->NOTIFIED_DATE ) );
			$newTime = date( "h:i:s", strtotime( $feed->NOTIFIED_DATE ) );
	?>
	 <?php if( $newDate != $lastDate && $lastDate != '' ){ ?>
	 </table>
	 </div>
	 <?php } ?>
	 <?php if( $newDate != $lastDate ){ ?>
	 <div class="activity-wrap">
	  <h2><?php echo $newDate?></h2>
	  <table class="table">
	   <tr>
		<th width="60%">Message</th>
		<th width="20%">Time</th>
		<th width="20%">Action</th>
	   </tr>
	 <?php } ?>
   <tr>
    <td><?php echo $feed->NOTIFICATION_MSG; ?></td>
    <td><?php echo $newTime; ?></td>
    <td><?php if( $feed->STATUS == 'FEED_COMPLETED' ){?>
     <a href='?page=feedo_optimized' class="lightgrey">View/Edit</a>
     <?php } ?>
     <?php if( $feed->STATUS == 'FEED_CREATED' ){?>
     <a href='?page=feedo' class="lightgrey">View/Edit</a>
     <?php } ?>
	 <?php if( $feed->STATUS == 'FEED_PUSHED_GMC' ){?>
     <a href='?page=feedo_published' class="lightgrey">View/Edit</a>
     <?php } ?></td>
   </tr>
<?php 	
$count = $count+1;
$lastDate = $newDate;
		}
	}

?>
</table>
</div>
</section>
<script>
jQuery(document).ready(function() {
    jQuery('.select').select2();
});
</script>
</div></div>