<?php  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');

$currentDate = \Inc\Common::currentDate();

?>
<div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/" target="_blank" class="help">Help</a></div>
<div class="feedowrapper">
<div class="overlay active consent-active" style="z-index:99999">	
    <div class="popup-wrap">    
    	<div class="popup-box consent" style="display:block">
        	<input id="selectedIds" name="selectedIds" type="hidden" value="">
            <div class="popup-title">Compliance Consent</div>
            <form id="consent-form" method="POST" action=''>
            <div class="content-block">
            	<p>
            		In order to provide you with the best service, Feedo uses some of your basic information to create a tailored experience. We do not collect or sell any of your information to third parties.
            	</p>
            	
            	<p>	
However, from time to time we would like to contact you with details of our new feature launch and plugin updates we provide. If you don't want to hear from us, please turn off the Email/Phone switches.</p>
            	
            	<div class="contact-option">
            		<p>Email</p>
            		<div class="switch active">
						<p>on</p>
						<div class="circle"></div>
						<p>off</p>
					</div>
					<select id="is_opted_mail" name="is_opted_mail" class="form-control selectpicker" style="display:none" value="Y">
						<option value="Y">Yes</option>
						<option value="N">No</option>											   
					</select>
            	</div>
            	<div class="contact-option">
            		<p>Phone</p>
            		<div class="switch active">
						<p>on</p>
						<div class="circle"></div>
						<p>off</p>
					</div>
					<select id="is_opted_phone" name="is_opted_phone" class="form-control selectpicker" style="display:none" value="Y">
						<option value="Y">Yes</option>
						<option value="N">No</option>											   
					</select>
					<select id="is_consent" name="is_consent" class="form-control selectpicker" style="display:none" value="Y">
						<option value="Y">Yes</option>
					</select>
            	</div>           	
            </div>
            <div class="footer">
                <div class="block">
                    <div class="agree">I AGREE WITH THE COMPLIANCE TERMS ABOVE</div>
                </div>
            </div>
            </form>
        </div>        
    </div>
</div>
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('.switch').on('click',function(event){
		if( jQuery(this).hasClass('active') === false){
			jQuery(this).next().val('Y');
		} else {
			jQuery(this).next().val('N');
		}
		jQuery(this).toggleClass('active');		
	});	
	jQuery('.agree').click(function( event ){
		if (jQuery(this).hasClass('disabled')) return;
		jQuery(this).addClass('disabled');
		jQuery(this).html('Saving ....');
		var shopId = "<?php echo $shopid;?>";
		var currentdate = "<?php echo $currentDate;?>";
		var is_opted_mail = jQuery('#is_opted_mail').val();
		var is_opted_phone = jQuery('#is_opted_phone').val();
		var is_consent = jQuery('#is_consent').val();
		
		jQuery.ajax({
			url: '<?php echo FEEDO_SERVER_URL;?>api/consent_update',
			type: "post",
			crossDomain: true,
			data: {'is_opted_mail':is_opted_mail,'is_opted_phone':is_opted_phone,'is_consent':is_consent,'shopid':shopId,'currentdate':currentdate}
		}).done(function(data){
			window.location.href='<?php echo FEEDO_PLUGINURL;?>';
		}).fail(function(jqXHR, ajaxOptions, thrownError){});	
	});
});
</script>