<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/*
 * edit page template
 */
 
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');
$status = $productinfo->status;
$feed = $productinfo->feed;
$gmc_category = \Inc\Common::getServerData('api/get_google_categories');
function clnhtml($str){
	 return htmlspecialchars($str, ENT_QUOTES);
}
?><script>function selectElement(id,valueToSelect){var element = jQuery("#" + id);element.val(valueToSelect);}</script>
<link href="<?php echo FEEDO_PLUGIN_URL;?>assets/daterangepicker.min.css" rel="stylesheet" />
<script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.16.0/moment.min.js" type="text/javascript"></script>
<script src="<?php echo FEEDO_PLUGIN_URL;?>assets/jquery.daterangepicker.min.js"></script>
<!-- LOGO and Help link -->
<div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>
<div class="feedowrapper">
<div class="feedocontent editproduct">
 <section>
  <h1 class="attr-page-title"> <a href="<?php echo FEEDO_PLUGINURL;?>" class="back">&nbsp;</a>Edit Attributes</h1>
  <button class="button button-primary right" type="button" id="submitAttribute">Save Changes</button>
  <div class="product-image-holder"><img src="<?php echo $feed->image_link;?>"></div>
  <p class="err" style="color:green" id="res"><?php if(isset($status)){ echo $status; }?></p>
  <?php if(isset($feed->errorsList) && !empty($feed->errorsList)){?>
  <p class="error e2">ERRORS: <?php echo $feed->errorsList ?></p>
  <?php }?>
 </section>
 <!-- product edit form -->
 <form id="FeedVerifyForm">
 <input type="hidden" id="feedId" value="<?php echo $feedId ?>">
 <input type="hidden" id="rowId" value="<?php echo $rowId ?>">
 <input type="hidden" id="shopId" value="<?php echo $shopId ?>">
  <section><p class="error"></p></section>
  <h2 class="nav-tab-wrapper" id="edittab"> <a data-target="general" class="nav-tab active">General</a> <a data-target="identification" class="nav-tab">Identification</a> <a data-target="categorization" class="nav-tab">Categorization</a> <a data-target="price" class="nav-tab">Price</a> <a data-target="shipping" class="nav-tab">Shipping</a> <a data-target="campaign" class="nav-tab">Campaign</a> <a data-target="other" class="nav-tab">Other</a> </h2>
  <section>
   <div style="background:#fff;padding:30px 20px;">
    <div class="attribute-holder active" data-tab="general">
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Title:</p></div>
       <input type="text" name="title" id="title" value="<?php echo clnhtml($feed->title); ?>">
      </div>
      <div class="attribute">
       <div><p class="field-name">Adult:</p></div>
       <select name="adult" id="adult">
        <option value="">Select</option>
        <option value="No">No</option>
        <option value="Yes">Yes</option>
       </select>
       <script>selectElement('adult', '<?php echo $feed->adult ?>');</script> 
      </div>
      <div class="attribute">
       <div><p class="field-name">Condition:</p></div>
       <select name="condition" id="condition">
        <option value="">Select</option>
        <option value="new">new</option>
        <option value="refurbished">refurbished</option>
        <option value="used">used</option>
       </select>
       <script>selectElement('condition', '<?php echo $feed->condition ?>');</script> 
      </div>
     </div>
     <div class="attribute-row">
	  <div class="child">
       <div class="attribute">
        <div><p class="field-name">Age Group:</p></div>
        <select name="age_group" id="age_group">
         <option value="">Select</option>
		 <option value="NA">not applicable</option>
         <option value="newborn">newborn</option>
         <option value="infant">infant</option>
         <option value="toddler">toddler</option>
         <option value="kids">kids</option>
         <option value="adult">adult</option>
        </select>
        <script>selectElement('age_group', '<?php echo $feed->age_group ?>');</script> 
       </div>
       <div class="attribute">
        <div><p class="field-name">Color:</p></div>
        <input type="text" name="color" id="color" value="<?php echo $feed->color ?>">
       </div>
	</div>
	
	   <div class="child">
       <div class="attribute">
        <div><p class="field-name">Gender:</p></div>
        <select name="gender" id="gender">
         <option value="">Select</option>
		 <option value="NA">not applicable</option>
         <option value="male">male</option>
         <option value="female">female</option>
         <option value="unisex">unisex</option>
        </select>
        <script>selectElement('gender', '<?php echo $feed->gender ?>');</script> 
       </div>
       <div class="attribute">
        <div><p class="field-name">Size:</p></div>
        <input type="text" name="size" id="size" value="<?php echo $feed->size ?>">
       </div>
	   </div>
      <div class="attribute">
       <div><p class="field-name">Description:</p></div>
       <textarea name="description" id="description" value="<?php echo $feed->description ?>"><?php echo $feed->description ?></textarea>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Material:</p></div>
       <input type="text" name="material" id="material" value="<?php echo $feed->material ?>">
      </div>
      <div class="attribute">
       <div><p class="field-name">Pattern:</p></div>
       <input type="text" name="pattern" id="pattern" value="<?php echo $feed->pattern ?>">
      </div>
      <div class="attribute">
       <div><p class="field-name">Availability:</p></div>
	   <input type="text" name="availability" id="availability" readonly="readonly" value="<?php echo $feed->availability ?>" class="disabled">
       <!--select name="availability" id="availability">
        <option value="">Select</option>
        <option value="in stock">in stock</option>
        <option value="out of stock">out of stock</option>
        <option value="preorder">preorder</option>
       </select>
       <script>selectElement('availability', '<?php //echo $feed->availability ?>');</script--> 
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Multipack:</p></div>
       <input type="text" id="multipack" name="multipack" value="<?php echo $feed->multipack ?>">
      </div>
      <div class="attribute">
       <div><p class="field-name">Size Type:</p></div>
       <input type="text" id="size_type" name="size_type" value="<?php echo $feed->size_type ?>">
      </div>
      <div class="attribute">
       <div><p class="field-name">Size System:</p></div>
       <input type="text" id="size_system" name="size_system" value="<?php echo $feed->size_system ?>">
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Brand:</p></div>
       <input type="text" id="brand" name="brand" value="<?php echo $feed->brand ?>">
      </div>
	  <div class="attribute">
       <div><p class="field-name">SKU:</p></div>
       <input type="text" id="sku" name="sku" value="<?php echo $feed->sku ?>" readonly="readonly" class="disabled">
      </div>
     </div>
    </div>
    <div class="attribute-holder" data-tab="identification">
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Identifier Exists:</p></div>
       <select name="identifier_exists" id="identifier_exists">
        <option value="">Select</option>
        <option value="no">No</option>
        <option value="yes">Yes</option>
       </select>
       <script>
	   <?php $val = $feed->identifier_exists;
	   if($val=='TRUE'){ $val = 'yes';}
	   else if($val=='FALSE'){$val = 'no';}?>
	   selectElement('identifier_exists', '<?php echo $val;?>');	   
	   </script> 
      </div>
      <div class="attribute">
       <div><p class="field-name">IS Bundle:</p></div>
       <select name="is_bundle" id="is_bundle">
        <option value="">Select</option>
        <option value="no">No</option>
        <option value="yes">Yes</option>
       </select>
     <script>selectElement('is_bundle', '<?php echo $feed->is_bundle;?>');</script> 
      </div>
      <div class="attribute">
       <div><p class="field-name">Item Group ID:</p></div>
       <input type="text" name="item_group_id" id="item_group_id" value="<?php echo $feed->item_group_id ?>"/>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">GTIN:</p></div>
       <input type="text" name="gtin" id="gtin" value="<?php echo $feed->gtin ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">MPN:</p></div>
       <input type="text" name="mpn" id="mpn" value="<?php echo $feed->mpn ?>"/>
      </div>
     </div>
    </div>
    <div class="hidden attribute-holder" data-tab="categorization">
     <div class="attribute-row">
      <div class="attribute gpg-wrap">
       <div><p class="field-name">Google Product Category:</p></div>
       <select id="google_product_category" name="google_product_category">
        <option value="">Select</option>
        <?php foreach($gmc_category as $gmc_categry) {?>
        <option value="<?php echo $gmc_categry->GPC_ID; ?>"><?php echo $gmc_categry->GMC_CAT_NAME; ?></option>
        <?php }?>
       </select>
       <script>selectElement('google_product_category', '<?php echo $feed->google_product_category ?>');</script> 
      </div>
      <div class="attribute">
       <div><p class="field-name">Product Type:</p></div>
       <input type="text" id="product_type" name="product_type" value="<?php echo $feed->product_type ?>"/>
      </div>
     </div>
    </div>
    <div class="attribute-holder" data-tab="price">
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Price:</p></div>
       <input type="text" id="price" name="price" value="<?php echo $feed->price ?>" />
      </div>
      <div class="attribute">
       <div><p class="field-name">Sale Price:</p></div>
       <input type="text" id="sale_price" name="sale_price" value="<?php echo $feed->sale_price ?>" />
      </div> 
	  <div class="attribute">
       <div><p class="field-name">Sale Price Effective Date:</p></div>
       <input type="text" name="sale_price_effective_date" id="sale_price_effective_date" value="<?php echo $feed->sale_price_effective_date ?>"/>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Unit Pricing Measure:</p></div>
       <input type="text" name="unit_pricing_measure" id="unit_pricing_measure" value="<?php echo $feed->unit_pricing_measure ?>"/>
      </div>
     </div>
    </div>
    <div class="attribute-holder" data-tab="shipping">
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Shipping:</p></div>
       <input type="text" name="shipping" id="shipping" value="<?php echo $feed->shipping ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Shipping Weight:</p></div>
       <input type="text" name="shipping_weight" id="shipping_weight" value="<?php echo $feed->shipping_weight ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Shipping Length:</p></div>
       <input type="text" name="shipping_length" id="shipping_length" value="<?php echo $feed->shipping_length ?>"/>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Shipping Width:</p></div>
       <input type="text" name="shipping_width" id="shipping_width" value="<?php echo $feed->shipping_width ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Shipping Height:</p></div>
       <input type="text" name="shipping_height" id="shipping_height" value="<?php echo $feed->shipping_height ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Shipping Label:</p></div>
       <input type="text" name="shipping_label" id="shipping_label" value="<?php echo $feed->shipping_label ?>"/>
      </div>
     </div>
    </div>
    <div class="attribute-holder" data-tab="campaign">
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Adwords Redirect:</p></div>
       <input type="text" name="adwords_redirect" id="adwords_redirect" value="<?php echo $feed->adwords_redirect ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Adwords Labels:</p></div>
       <input type="text" name="adwords_labels" id="adwords_labels" value="<?php echo $feed->adwords_labels ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Shipping:</p></div>
       <input type="text" name="adwords_grouping" id="adwords_grouping" value="<?php echo $feed->adwords_grouping ?>"/>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Excluded Destinations:</p></div>
       <input type="text" name="excluded_destination" id="excluded_destination" value="<?php echo $feed->excluded_destination ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Custom Label 0:</p></div>
       <input type="text" name="custom_label_0" id="custom_label_0" value="<?php echo $feed->custom_label_0 ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Custom Label 1:</p></div>
       <input type="text" name="custom_label_1" id="custom_label_1" value="<?php echo $feed->custom_label_1 ?>"/>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Custom Label 2:</p></div>
       <input type="text" name="custom_label_2" id="custom_label_2" value="<?php echo $feed->custom_label_2 ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Custom Label 3:</p></div>
       <input type="text" name="custom_label_3" id="custom_label_3" value="<?php echo $feed->custom_label_3 ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Custom Label 4:</p></div>
       <input type="text" name="custom_label_4" id="custom_label_4" value="<?php echo $feed->custom_label_4 ?>"/>
      </div>
     </div>
    </div>
    <div class="attribute-holder" data-tab="other">
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Link:</p></div>
       <input type="text" name="link" id="link" value="<?php echo $feed->link ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Image Link:</p></div>
       <input type="text" name="image_link" id="image_link" readonly="readonly" class="disabled" value="<?php echo $feed->image_link ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Additional Image Link:</p></div>
       <input type="text" name="additional_image_link" id="additional_image_link" class="disabled" disabled value="<?php echo $feed->additional_image_link ?>"/>
      </div>
     </div>
     <div class="attribute-row">
      <div class="attribute">
       <div><p class="field-name">Mobile Link:</p></div>
       <input type="text" name="mobile_link" id="mobile_link" value="<?php echo $feed->mobile_link ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Loyalty Points:</p></div>
       <input type="text" name="loyalty_points" id="loyalty_points" value="<?php echo $feed->loyalty_points ?>"/>
      </div>
      <div class="attribute">
       <div><p class="field-name">Multiple Installments:</p></div>
       <input type="text" name="installment" id="installment" value="<?php echo $feed->installment ?>"/>
      </div>
     </div>
    </div>
   </div>
  </section>
 </form>
</div>
</div>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 
<script>
jQuery(document).ready(function() {

jQuery('#sale_price_effective_date').dateRangePicker({
		separator: '/',
		//startDate: new Date(),
		format:'YYYY-MM-DD',
		//showTopbar: false,
		selectForward: false,
		monthSelect: true,
		yearSelect: true,
		time: {
		enabled: false
		}
	});
	
jQuery('.back').on('click', function(e){
    e.preventDefault();
	//alert("called");
	//window.parent.sendToValidation(0);
    window.parent.closeIframe();
  });
  jQuery('#edittab a').on('click', function( event ){
    event.preventDefault();
    jQuery('#edittab a, .attribute-holder').removeClass('active');
    var targetTab = jQuery(this).attr('data-target');   
    jQuery(this).addClass('active');
    jQuery('.attribute-holder[data-tab="' + targetTab + '"]').addClass('active');
  }); 

  jQuery("#google_product_category").select2({ dropdownPosition:'below'}).on("change", function (e) {
    jQuery(this).valid();
  });
  jQuery('#google_product_category').on('change', function(){
    //var t = jQuery(this).find(":selected").text();
    //if( t == 'Select') jQuery('#product_type').val('');
    //else jQuery('#product_type').val(t);
  });
  
  var identifier_value_load = jQuery(".attribute select[name='identifier_exists']").val();    
  if (identifier_value_load == 'no') {
    jQuery("input[name='gtin']").parent().hide();
    jQuery("input[name='mpn']").parent().hide();
  }
  jQuery(".attribute select[name='identifier_exists']").on('change', function(event){
    if (jQuery(this).val() == 'yes'){
      jQuery("input[name='gtin']").parent().show();
      jQuery("input[name='mpn']").parent().show();
    } else {
      jQuery(this).parent('.attribute').removeClass('error');
      jQuery("input[name='gtin']").val('');
      jQuery("input[name='mpn']").val('');
      jQuery("input[name='gtin']").parent().hide();
      jQuery("input[name='gtin']").parent().removeClass('error');
      jQuery("input[name='mpn']").parent().hide();
      jQuery("input[name='mpn']").parent().removeClass('error');
    }
  });
  
  var validator = jQuery("#FeedVerifyForm").validate({
    ignore: [],
    rules: {
      title: {
        required: true,
        minlength: 1,
        maxlength: 150,
		nospace: true
      },  
      description: {
        required: true,
        maxlength: 5000,
		nospace:true
      }, 
      availability: "required",       
      adult: "required",
      condition: "required",
      age_group: "required",
      brand: {nospace: true},
      gender: "required",
      color: {
required: {depends: function(element){return (jQuery("#google_product_category").val()=="1604" || jQuery("#google_product_category").val()=="187" )}},  
      },
      size: {
required: {depends: function(element){return (jQuery("#google_product_category").val()=="1604" || jQuery("#google_product_category").val()=="187" )}},  
      },
      gtin: {
        /*required: {depends: function(element){return (jQuery("select[name='identifier_exists']").val()=="yes" && jQuery("#mpn").val()=="")}},*/
        notEqual: 0,
        number: true,
        maxlength: 50
      },
      mpn: {
      required: {depends: function(element){return (jQuery("input[name='gtin']").val()=="" && jQuery("select[name='identifier_exists']").val()=="yes" )}},
        maxlength: 70,
        notEqual: 0,
        alphanumeric: true
      },
      google_product_category: "required",        
      price: {
        required: true,
        number: true,
        notEqual: 0
      },
      sale_price: {
        number: true,
        lesser:price
      },
	  sale_price_effective_date: {
		required: {depends: function(element){return (jQuery("#price").val()!="" && jQuery("#sale_price").val()!="")}},
      },
      multipack: {
        required: false,  
        number: true,
        minStrict: 0,
      },
      additional_image_link: {
        maxlength: 2000 
      },
      mobile_link: {
        maxlength: 2000 
      },
      link: 'required',
      image_link: {
        required: true,  
		url: true
	  }
    },
    messages: {
      title: {
        required: "Required",
        maxlength: "Max 150 characters"
      },
      description: {
        required: "Required",
        maxlength: "Max 5000 characters"
      },
      adult: "Required",
      condition: "Required",
      age_group: "Required", 
      brand: {nospace:"No white space please"},
      color: "Required",
      size: "Required",
      gtin: {
        /*required: "Either GTIN/MPN Required",*/
        maxlength: "Max 50 characters",
        notEqual: "Must be greather than 0",
        number: "Number Only" 
      },
      mpn: {
        required: "Required",
        maxlength: "Max 70 alphanumeric characters",
        notEqual: "Must be greather than 0",  
      },
      google_product_category: "Required",
      
      price:  {
        required: "Required",//"To populate this field, please edit this product from your store.",
        number: "Number Only",
        notEqual: "Must be greather than 0",  
      },
      sale_price: {
       number: "Number Only",
       lesser: 'Must be less than price.'// To populate this field, please edit this product from your store.'
      },
	  sale_price_effective_date:{
		  required: "Please select date range during which the product's sale_​price applies.",
	  },
      availability: "To populate this field, please edit this product from your store.",
      multipack: {
        number: "Must be a Number",
        minStrict: "Must be greater than 0",
       },
      gender: 'Required', 
      link: 'Required',
      image_link: {
		  required: "To populate this field, please edit this product from your store.",
		  url : "Please enter valid URL"
	  },
    },
    submitHandler: function(form) {
      jQuery('p.e2').html('');
      var feedId = document.getElementById("feedId").value;
      var shopId = document.getElementById("shopId").value;
      var rowId = document.getElementById("rowId").value;
      var pdata = jQuery(form).serialize();
      jQuery.ajax({
        url: '<?php echo FEEDO_SERVER_URL;?>api/update_feed_product?feedId='+feedId+'&rowId='+rowId+'&shopId='+shopId,
        type: "POST",
        crossDomain: true,
        data: pdata
      }).done(function(data){
        jQuery('p.error:first-child,p.err').text('');
        jQuery('a.error,.attribute').removeClass('error');
        jQuery('#res').html("Product updated successfully");
        jQuery('#submitAttribute').removeClass('disabled');
      }).fail(function(jqXHR, ajaxOptions, thrownError){});     
      return false;
      },
    showErrors: function(errorMap, errorList) {
      if(this.numberOfInvalids() > 0){
        jQuery("#FeedVerifyForm p.error").html("You have "+ this.numberOfInvalids()+ " field errors.");
      }else{
        jQuery("#FeedVerifyForm p.error").html('');
      }
      this.defaultShowErrors();
      },
    highlight: function(element, errorClass, validClass) {
      jQuery(element).parent('.attribute').addClass(errorClass);
      error_message();
      if(jQuery('.attribute-holder.active').find('.attribute.error').length > 0){
        jQuery('.nav-tab.active').addClass('error');        
      }
    },
    unhighlight: function(element, errorClass, validClass) {
      jQuery(element).parent('.attribute').removeClass(errorClass);
      //error_message();
      if(jQuery('.attribute-holder.active').find('.attribute.error').length <=0){
        jQuery('.nav-tab.active').removeClass('error');       
      }
    }
  }); 

  jQuery.validator.addMethod("notEqual", function(value, element, param){
    return this.optional(element) || value != param;
  });
  jQuery.validator.addMethod("alphanumeric", function(value, element) {
    return this.optional(element) || /^[\w.]+$/i.test(value);
  }, "Letters, numbers, and underscores only please");
  
	jQuery.validator.addMethod("nospace", function(value, element) { 
      return value == '' || value.trim().length != 0;  
    }, "No white space please");



  jQuery.validator.addMethod('minStrict', function (value, el, param){
    if(value){
      return value > param;
    } else {
      return true;
    }
  });
  jQuery.validator.addMethod('lesser', function(value, element, param){
      return this.optional(element) || parseFloat(value) < parseFloat(jQuery(param).val());
  }, 'Invalid value');
  
  jQuery('#FeedVerifyForm').valid();
  
  jQuery('#submitAttribute').click(function(event){
    if(jQuery('#FeedVerifyForm').valid()){
      jQuery(this).addClass('disabled');
      jQuery('#FeedVerifyForm').submit();
    }else{
      error_message();
    }
  });

});

function error_message(){
  jQuery('#edittab a.error').removeClass('error');
  jQuery('.attribute.error').each(function() {    
    var tabName = jQuery(this).parents('.attribute-holder').attr('data-tab');
    jQuery("a[data-target='"+ tabName +"']").addClass('error');
  }); 
  var count = jQuery('.attribute.error').length;
}
</script>