<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * show uploading status and redirects when uploading done
 */
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');?>
<div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>
<div class="feedowrapper" style="background:none">
<style>
#wrap {
    width: 70%;
	margin:0 auto 20px auto;
	border-radius: 6px;
    height: 22px;
    line-height: 22px;
    text-align:center;
    position:relative;
 border: 1px solid #ccc;
}
.b{border: 1px solid #ccc;}
#status {
display:block;
background: green;
position:absolute;
padding:0 15px;
left:0;top:0;
border-radius: 6px;
width:auto;
 height: 22px;
 color:#fff;
 font-weight:bold;
 max-width:100%;
 -webkit-transition: all 0.5s ease-in-out .5s; transition: all .5s ease-in-out .5s;
}

.pos-center {
    position: absolute;
    top: 43%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 100%;
    height: 100px;
}
.pos-center h1 {
	line-height:30px !important;
}
</style>

<div class="align-center pos-center" id="load" style="display:none">
<p>&nbsp;</p>
<img src="<?php echo FEEDO_PLUGIN_URL.'assets/images/feedo-logo-large.png'; ?>" width="211" height="67">
<!--<img src="<?php echo FEEDO_PLUGIN_URL."assets/images/loading.gif"; ?>" width="64">-->
<h1>We are updating the products for the first time..! We will notify you once it is complete.</h1>
<p>&nbsp;</p>
<div id="wrap">
  <div id="status">1%</div>
</div>
</div>
<script type="text/javascript">
var x = 0;
function updateStatus(){
	jQuery.ajax({
		url: "<?php echo FEEDO_SERVER_URL;?>api/get_upload_status?shopid="+<?php echo $shopid;?>,
		type: "POST",
		crossDomain: true,
		data : {"shopid": "<?php echo $shopid;?>"}
	})
	.done(function(data) {
		resultObj =  JSON.parse(data);
		console.log(resultObj);
		if( resultObj && resultObj.status == "N"){
			clearInterval(x);
			jQuery('#status').text('100%').css('width','100%');
			setTimeout(function(){ window.location='<?php echo FEEDO_PLUGINURL;?>'; }, 2000);
		}else{
			if(resultObj.message != ''){
				//jQuery('#wrap').addClass('b');
				jQuery('#status').text(resultObj.message+'%').css('width',resultObj.message+'%');
			}
		}
    })
    .fail(function(jqXHR, ajaxOptions, thrownError){});
}
jQuery(document).ready(function() {
	setTimeout(function(){ x = setInterval(updateStatus,5000); }, 1000);	
});
</script>
	<div class="overlay active consent-active" style="z-index:99999">	
    <div class="popup-wrap">    
    	<div class="popup-box consent" style="display:block">
            <div class="content-block">
			<!--div class="closemsg" style="position: absolute;font-size: 28px;color: #ccc;right: 15px;top: 10px;font-family: cursive;cursor:pointer">x</div-->
			<br>
			<img src="https://feedoapi.regalix.com/assets/images/FeedoLogo.jpg" alt="logo" width="79" height="26" style="border: 0px none; display: block;">
			<br>
            	<p>We are creating your product feed. This process might take a while. You can close this popup and check back later.</p>            	
            	<p>You will also receive an email notification as soon as your feed is created.</p>       
            </div>
<div class="footer">
<div class="block">
<div class="cancel closemsg" style="width:100%">CLOSE</div>
</div>
</div>
        </div>        
    </div>
</div>
<script>
jQuery(document).ready(function(e){
	jQuery('.closemsg').click(function(e){
		jQuery('.consent-active').hide();
		jQuery('#load').show();
	});
});
</script>
</div>