<?php  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Template for showing optimised product
 */
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');
	
?><div><iframe id="frame" src="" width="100%" height="100%" frameBorder="0" style="position: fixed;top: 0;left: 0;right: 0; bottom: 0; z-index: 999999;height:1px"></iframe></div><div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>
<link href="<?php echo FEEDO_PLUGIN_URL;?>assets/daterangepicker.min.css" rel="stylesheet" />
<script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.16.0/moment.min.js" type="text/javascript"></script>
<script src="<?php echo FEEDO_PLUGIN_URL;?>assets/jquery.daterangepicker.min.js"></script>
<div class="feedowrapper">
<?php
// get optimised product from FEEDO
$feed = \Inc\Common::getServerData('api/get_feed_data',array('shopid' => $shopid));
$feedid = $feed->optfeedid;
$allcount = $feed->allcount;
$optcount = $feed->optcount;
if(empty($optcount)) $optcount=0;
$gmc_category = \Inc\Common::getServerData('api/get_google_categories');

?><script>var totalproducts = <?php echo $optcount;?>;</script>
<input type="hidden" id="feedid" value="<?php echo $feedid;?>">
<input type="hidden" id="shopid" value="<?php echo $shopid;?>">
<input type="hidden" id="feedoserver" value="<?php echo FEEDO_SERVER_URL;?>">
<!-- header -->
<div class="sticky-header">
    <a href="admin.php?page=feedo">All</a>
    <a href="admin.php?page=feedo_optimized" class="active">Optimized<?php if($optcount){?><span class="badge"><?php echo $optcount;?></span><?php } ?></a>
    <a href="admin.php?page=feedo_published">Published</a>
</div>

<div class="feedocontent">
<h1 class="pc">Optimized Products (<span><?php echo $optcount;?></span>)</h1>
<p>Edit a single product individually or select multiple for bulk.</p>
 <div class="clear"></div>
 
 <!-- filter form for products -->
<form id="filter-form" method="post" onsubmit="return false;">
 <section class="search-filter row">
  <div class="column six">
   <input type="search" placeholder="Search" id="search-filter-one" value=''/>
  </div>
  <div class="column six">
   <div class="filter">Filter</div>
  </div>
 </section>
 <div class="clear"></div>
 <section class="filters-wrap">
    <div class="fliter-item">
    <label>Gender:</label>
    <select id="gender" name="gender">
     <option value="">select</option>
     <option value="male">male</option>
     <option value="female">female</option>
     <option value="unisex">unisex</option>
    </select>
   </div>   
   <div class="fliter-item">
    <label>Age group:</label>
    <select id="agegroup" name="agegroup" >
     <option value="">select</option>
     <option value="newborn">newborn</option>
     <option value="infant">infant</option>
     <option value="toddler">toddler</option>
     <option value="kids">kids</option>
     <option value="adult">adult</option>
    </select>
   </div>
   <div class="fliter-item">
    <label>Search:</label>
    <input type="search" placeholder="Search" name="search" id="search" value=''/>
   </div>
   <div class="fliter-item submit-wrap">
    <button type='button' class="button submit-filter column seven" id="filter-submit">Filter</button>
   </div>
   <div class="fliter-item">
    <label>Status:</label>
    <select id="status" name="status">
     <option value="">select</option>
     <option value="Updated">Updated</option>
     <option value="Published">Published</option>
     <option value="In Review">In Review</option>
     <option value="ERROR">ERROR</option>
     <option value="New">New</option>
    </select>
   </div>
   <div class="fliter-item">
    <label>Maximum Price:</label>
    <input type="text" placeholder="0" name="max_price_filter" id="max_price_filter" value=''/>
   </div>
   <div class="fliter-item gmc-wrap">
    <label>Google product category:</label>
    <select id="category_filter" name="category_filter" class="select">
     <option value="">select</option>
     <?php foreach($gmc_category as $gcat) {?><option value="<?php echo $gcat->GPC_ID; ?>"  ><?php echo $gcat->GMC_CAT_NAME; ?></option>
     <?php }?>
    </select>
   </div>
   <div class="fliter-item">
    <label>Availability:</label>
    <select id="availability_filter" name="availability_filter">
     <option value="">select</option>
     <option value="in stock">in stock</option>
     <option value="out of stock">out of stock</option>
     <option value="preorder">preorder</option>
    </select>
   </div>
   <div class="fliter-item cancel-wrap">
    <button type='button' class="button lighter submit-filter column seven" id="filter-cancel">Cancel</button>
   </div>
   <div class="fliter-item">
    <label>Condition:</label>
    <select id="condition_filter" name="condition_filter">
     <option value="">select</option>
     <option value="new">new</option>
     <option value="refurbished">refurbished</option>
     <option value="used">used</option>
    </select>
   </div>
   <div class="fliter-item">
    <label>Minimum Price:</label>
    <input type="text" placeholder="0" id="min_price_filter" name="min_price_filter" value=''/>
   </div>
<div class="fliter-item" style="justify-content: left;line-height: 2.2rem;padding-left: 10px;">
    <span style="color:red" class="perror"></span>
   </div>    
 </section>
</form>

<!-- show optimized products -->
<div class="products">
  <section class="product-list header">
      <div class="select">
          <input name="select-all" id="select-all" type="checkbox">
      </div>
      <div class="product-image">Image</div>
      <div class="product-info">Info</div>
      <div class="product-category">Category</div>
      <div class="product-status">Status</div>
  </section>
</div>

<?php if($optcount){?>
<div class="load">Loading Your Feeds....</div>
<?php } ?>
<div id="count-message" style="display:none">
 <h3 class="align-center"> You have no products in optimization. </h3>
</div>

<!-- footer -->
<footer class="sticky-footer">
 <div class="progress-wrap">
  <div class="progress"></div>
 </div>
 <section class="row action-footer">
  <div class="column four">
   <h2><b>0</b>&nbsp;Product Selected</h2>
  </div>
 <div class="column four align-center">
   <p id="product-count" style="margin:0;padding:0">showing <b></b> out of <span><?php echo $optcount;?></span></p>
  </div>
 <div class="column four align-right" style="float:right;margin-right:15px">
<button class="button scroll-up tip" data-hover="scroll to top"><i class="icon-upload">&nbsp;</i></button>
<button class="button bulk-edit disabled tip" data-hover="Bulk Edit"><i class="icon-bulk-edit">&nbsp;</i></button>
<button class="button publish disabled tip" data-hover="Send to Publish" data="optimize" >Publish</button>
<button class="button optimize disabled tip" style="display:none" data-hover="Send to Optimize">Optimize</button>    
  </div>
 </section>
 
<!-- optimized status -->
 <section class="send-to-optimize-wrap">
  <div>
   <h1>5 products are being optimized.</h1>
   <p>Your products are being optimized, this may take some time depending on the quantity. <br>
    We’ll notify you via email when your products are ready.</p>
   <div class="row">
    <label style="display: none">Notified Email</label>
    <input style="display: none" type="text" value="vkumar@regalix-inc.com.com" disabled="disabled" />
    <button class="return button greybtn">Return to Feeds</button>
   </div>
  </div>
 </section>
 
 <!-- error status -->
 <section class="send-error-wrap">
  <input id="selectedErrorType" value="" type="hidden" />
  <div class="columns twelve">
   <h1 class="error">Oops! there was a problem.</h1>
    <h1 class="success" style="color:green;display:none;margin:30px 0">Success! Your products are ready to go.</h1>
   <button class="return greybtn" id="optreturn">Return to Feeds</button>
    <!--button class="button greenbtn" id="sendtooptimize" style="display:none">Send to Optimize</button-->
   <button class="button publish greybtn" id="sendtopublish" style="display:none">Send to Publish</button>
  </div>
  <div class="columns twelve">
   <div class="columns six">
    <div class="error-message" style="display:block">
     <div></div>
     <h1 class="error"><b></b> Products Error</h1>
	 <div style="clear:both"></div>
	 <ul style="font-weight:normal"></ul>
	  <div class="column eight" style="float:left">
	 <p style="font-weight:bold;display:none" class="msg1">Fix this error either by clicking on the individual product or through the "Bulk Edit" option.</p>	 
<p style="font-weight:bold;display:none" class="msg2">Fix this error by clicking on the individual product.</p>
</div>
<div class="column four" style="float:right;padding:1em 0">
<button class="button bulk-edit error">Bulk Edit</button>
    </div>	 
    </div>
	<p class="showCount"></p>
   </div>
   <div class="columns six">

   </div>
  </div>
  <input type="hidden" name="timesCalled" id="timesCalled" value="0" />
  <style>#error-products .product-list{justify-content:left}</style>
  <div class="post-data" id="error-products">
   <section class="product-list header" style="clear:both">
    <div class="select">
     <input name="select-all" type="checkbox">
    </div>
    <div class="product-image">Image</div>
    <div class="product-info">Info</div>
    <div class="product-category">Category</div>
    <div class="product-status">Status</div>
	<div style="clear:both"></div>
   </section>
  </div>
 </section>
 
 <!-- publish status  -->
 <section class="send-to-publish-wrap">
  <div>
   <h1>Products are being published.</h1>
   <p>Your products are being published, this may take some time depending on the quantity. <br>
    We'll notify you via email when your products are ready.<br>
    Also, the application will automatically update all price and inventory changes immediately to Google Merchant Center. <a href="<?php echo FEEDO_SETTINGURL;?>&tab=gmc">Change?</a> </p>
   <div class="row">
    <label style="display: none">Notified Email</label>
    <label style="display: none">Notified Email</label>
    <button class="return button greybtn">Return to Feeds</button>
   </div>
  </div>
 </section>
</footer>

<!-- BULK edit product  -->
<div class="overlay">
 <div class="loading">
  <p>Loading...</p>
 </div>
 <div class="popup-wrap">
  <div class="popup-box bulk-edit-popup">
   <form id="bulk-edit-form">
    <input id="selectedIds" name="selectedIds" type="hidden" value="">
    <input id="unselectedIds" name="unselectedIds" type="hidden" value="">
	 <input id="selAll" name="selAll" type="hidden" value="">
    <div class="popup-title">BULK EDIT</div>
    <div class="content-block">
     <div class="bulk-edit-field" id="category">
      <div class="name"> Google Product Category <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="categoryId" name="categoryId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="condition">
      <div class="name"> Condition <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="conditionId" name="conditionId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="age-group">
      <div class="name"> Age Group <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="agegroupId" name="agegroupId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="adult">
      <div class="name"> Adult <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="adultId" name="adultId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="customproduct">
      <div class="name"> As Custom Product <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="customproductId" name="customproductId" type="hidden" value="">
     </div>
     <div class="bulk-edit-field" id="gender-bulk">
      <div class="name"> Gender <i class="icon-exclamation"></i> </div>
      <div class="arrow-next"> <i class="icon-next"></i> </div>
      <div class="new-value"></div>
      <input id="genderId" name="genderId" type="hidden" value="">
     </div>
	 <div class="bulk-edit-field" id="shipping_label">
                    <div class="name">
                        Shipping Label
                        <i class="icon-exclamation"></i>
                    </div>
                    <div class="arrow-next">
                        <i class="icon-next"></i>
                    </div>
                    <div class="new-value"></div>
                    <input id="shipping_labelId" name="shipping_labelId" type="hidden" value="">
                </div>
                <div class="bulk-edit-field" id="color">
                    <div class="name">
                        Color
                        <i class="icon-exclamation"></i>
                    </div>
                    <div class="arrow-next">
                        <i class="icon-next"></i>
                    </div>
                    <div class="new-value"></div>
                    <input id="colorId" name="colorId" type="hidden" value="">
                </div>
				
				<div class="bulk-edit-field" id="brand">
                    <div class="name">
                        Brand
                        <i class="icon-exclamation"></i>
                    </div>
                    <div class="arrow-next">
                        <i class="icon-next"></i>
                    </div>
                    <div class="new-value"></div>
                    <input id="brandId" name="brandId" type="hidden" value="">
                </div>
				
				<div class="bulk-edit-field" id="saledate">
<div class="name"> Sale Price Effective Date<i class="icon-exclamation"></i></div>
<div class="arrow-next"><i class="icon-next"></i></div>
<div class="new-value"></div>
<input id="saledateId" name="saledateId" type="hidden" value="">
</div>
				
    </div>
    <div class="footer">
     <div class="block">
      <div class="cancel">CANCEL</div>
      <div class="save" data="1">SAVE</div>
     </div>
     <div class="form-status">SENDING DATA..</div>
     <div class="form-failed">OOPS! SAVING FAILED</div>
     <div class="form-sent">SAVED SUCCESSFULLY!</div>
     <div class="form-sending">APPLYING EDITS...
      <div class="cd-loading"></div>
     </div>
    </div>
   </form>
  </div>
  
  <!-- bulk edit field popup -->
  
  <div class="popup-box bulk-edit-field-popup category" name="category">
   <div class="popup-title">
    <div class="arrow-back"> <i class="icon-prev"></i> </div>
    Google Product Category </div>
   <div class="content-block">
    <select name="form" class="select" id="category-form" data="category" style="width:100%"><option value="" selected>Select GMC Collection</option>
     <?php  foreach($gmc_category as $gmc_categry) { ?><option value="<?php echo $gmc_categry->GPC_ID; ?>"><?php echo $gmc_categry->GMC_CAT_NAME; ?></option>
     <?php } ?></select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup condition" name="condition">
   <div class="popup-title">
    <div class="arrow-back"> <i class="icon-prev"></i> </div>
    Condition </div>
   <div class="content-block">
    <select name="form" id="condition-form" data="condition">
     <option value="new">new</option>
     <option value="refurbished">refurbished</option>
     <option value="used">used</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup age-group" name="age-group">
   <div class="popup-title">
    <div class="arrow-back"> <i class="icon-prev"></i> </div>
    Age Group </div>
   <div class="content-block">
    <select name="form" id="agegroup-form" data="agegroup">
	<option value="NA">not applicable</option>
     <option value="newborn">newborn</option>
     <option value="infant">infant</option>
     <option value="toddler">toddler</option>
     <option value="kids">kids</option>
     <option value="adult">adult</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup customproduct" name="customproduct">
   <div class="popup-title">
    <div class="arrow-back"> <i class="icon-prev"></i> </div>
    As Custom Product </div>
   <div class="content-block">
    <select name="form" id="customproduct-form" data="customproduct">
     <option value="TRUE">Yes</option>
     <option value="FALSE">No</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup adult" name="adult">
   <div class="popup-title">
    <div class="arrow-back"> <i class="icon-prev"></i> </div>
    Adult </div>
   <div class="content-block">
    <select name="form" id="adult-form" data="adult">
     <option value="Yes">Yes</option>
     <option value="No">No</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  
    <div class="popup-box bulk-edit-field-popup saledate" name="saledate">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Sale Price Effective Date</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="saledate-form" data="saledate" placeholder="Sale Price Effective Date" maxlength="100">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SELECT</div>
</div>
</div>
</div>

  <div class="popup-box bulk-edit-field-popup gender-bulk" name="gender-bulk">
   <div class="popup-title">
    <div class="arrow-back"> <i class="icon-prev"></i> </div>
    Gender </div>
   <div class="content-block">
    <select name="form" id="gender-form" data="gender">
	<option value="NA">not applicable</option>
     <option value="male">Male</option>
     <option value="female">Female</option>
     <option value="unisex">Unisex</option>
    </select>
   </div>
   <div class="footer">
    <div class="block">
     <div class="cancel">BACK</div>
	 <div class="save">SELECT</div>
    </div>
   </div>
  </div>
  <div class="popup-box bulk-edit-field-popup shipping_label" name="shipping_label">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Shipping Label</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="shipping_label-form" data="shipping_label" placeholder="Enter Shipping Label" maxlength="100">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SUBMIT</div>
</div>
</div>
</div>
<div class="popup-box bulk-edit-field-popup color" name="color">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Color</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="color-form" data="color" placeholder="Enter Color" maxlength="40">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SUBMIT</div>
</div>
</div>
</div>

<div class="popup-box bulk-edit-field-popup brand" name="brand">
<div class="popup-title"><div class="arrow-back"><i class="icon-prev"></i></div>Brand</div>
<div class="content-block attribute-holder" style="display:block">
<input type="text" name="form" id="brand-form" data="brand" placeholder="Enter Brand">
</div>
<div class="footer">
<div class="block">
<div class="cancel">BACK</div>
<div class="save">SUBMIT</div>
</div>
</div>
</div>

 </div>
</div>
<!-- end ovelay -->

</div></div>
<!--  end feedwrapper  -->
<script>
var numofcalls = 1;
jQuery(document).ready(function(e){
	console.log("loaded");
	jQuery('select.select').select2({dropdownPosition: 'below'});
	jQuery('#filter-form')[0].reset();
	 loadMoreData(numofcalls);
	 countProducts();
	 updateOptimizeCount();
	 jQuery('.sticky-footer').scroll(function() {
	if (jQuery(this).scrollTop() >= 100){
		jQuery('#error-products .product-list.header').addClass('sticky3');
		jQuery('#error-products .product-list.sticky3').width(jQuery('#error-products').width());	
	}else{
		jQuery('#error-products .product-list.header').removeClass('sticky3');
	}

});

jQuery('#saledate-form').dateRangePicker({
		separator: '/',
		//startDate: new Date(),
		format:'YYYY-MM-DD',
		//showTopbar: false,
		selectForward: false,
		monthSelect: true,
		yearSelect: true,
		time: {
		enabled: false
		},
	});
	
});
jQuery(window).scroll(function() {
	if((jQuery(window).scrollTop() + jQuery(window).height() >= jQuery(document).height())  ){
		if( jQuery(".product-list.product").length < parseInt(jQuery("#product-count span").text()) ){
			numofcalls = numofcalls + 1;
			loadMoreData(numofcalls);
		}				
	}
});

jQuery(window).scroll(function() {
 if (jQuery(this).scrollTop() >= 51){
	jQuery('.sticky-header').addClass('sticky');
  }
  else{
	jQuery('.sticky-header').removeClass('sticky');
  }
  var fht = jQuery('#filter-form').height();
  var ht = fht + 120;
   if (jQuery(this).scrollTop() >= ht){
	jQuery('.products .product-list.header').addClass('sticky2');
	jQuery('.products .product-list.sticky2').width(jQuery('.products').width());	
  }
  else{
	jQuery('.products .product-list.header').removeClass('sticky2');
  }
  
});
		
jQuery('.load').on('click', function(event){
	if( jQuery(".product-list.product").length < parseInt(jQuery("#product-count span").text()) ){
		numofcalls = numofcalls + 1;
		loadMoreData(numofcalls);
	} else {
		alert('There are no more products to load');
		jQuery('.load').hide();
	}
});
</script>